/**
 * 7-Segment display Routienen
 */

#include <avr/io.h>
#include <avr/pgmspace.h>

#include "display.h"

const uint8_t PROGMEM digits[] = {
	DISP7SEG_CHAR_0, DISP7SEG_CHAR_1, DISP7SEG_CHAR_2, DISP7SEG_CHAR_3, DISP7SEG_CHAR_4,
	DISP7SEG_CHAR_5, DISP7SEG_CHAR_6, DISP7SEG_CHAR_7, DISP7SEG_CHAR_8, DISP7SEG_CHAR_9
};

uint8_t getDigit(uint8_t digit) {
	return pgm_read_byte(digits + (digit % 10));
}
